package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cda;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface CdaMapper {

    int insert(Cda record);

    int insertSelective(Cda record);

    int updateByPrimaryKeySelective(Cda record);

    int updateByPrimaryKey(Cda record);

    int deleteByPrimaryKey(Cda record);

    int deleteByIds(Collection<Object> collection);

    Cda selectByPrimaryKey(Cda record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cda> dyncRead(Map<String,Object> dyncMap);

    /**
     * 通过 trninr 查询 cda 表数据
     * @param trninr
     * @return
     */
    Cda selectBytrninr(String trninr);

}